Tasks
All operations require authentication.
2 operationsv1/vrack/{serviceName}
List tasks. Returns the identifiers of the tasks run on the vRack.Production
GET
/1.0/ vrack/ {serviceName}/ task
Path parameters
service Name
required
string
The internal name of your vrack
Response
200integer []successful operation
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ vrack/ {serviceName}/ task \
-H "authorization: Bearer $OVH_TOKEN"[ 0]
Get a task. Returns the function, status, target and dates of the task.Production
GET
/1.0/ vrack/ {serviceName}/ task/ {taskId}
Path parameters
service Name
required
string
The internal name of your vrack
task Id
required
integer
—
Response
200Tasksuccessful operation
function
read-only
string
—
id
read-only
integer
—
last Update
read-only
stringdate-time
—
order Id
read-only
integer
—
service Name
read-only
string
—
status
read-only
Task Status Enum
Task status
Values
cancelleddoingdoneinittodotarget Domain
read-only
string
—
todo Date
read-only
stringdate-time
—
Example uses serviceName = string, taskId = 0
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ vrack/ {serviceName}/ task/ {taskId} \
-H "authorization: Bearer $OVH_TOKEN"{ "function": "string", "id": 0, "lastUpdate": "2024-01-01T12:00:00Z", "orderId": 0, "serviceName": "string", "status": "cancelled", "targetDomain": "string", "todoDate": "2024-01-01T12:00:00Z"}